<div id="app" v-cloak>
    <div class="main">
        <div class="content">
            <div class="head">
                <a>文件上传服务</a>
            </div>

            <el-upload
                    style="width: 300px;"
                    name="file"
                    class="upload-demo"
                    action="upload"
                    :http-request="handleUpload"
                    :on-preview="handlePreview"
                    :on-remove="handleRemove"
                    :before-remove="beforeRemove"
                    multiple
                    :limit="3"
                    :on-exceed="handleExceed"
                    :file-list="fileList">
                <el-button size="small" type="primary">点击上传</el-button>
                <div slot="tip" class="el-upload__tip">只能上传jpg/png文件，且不超过500kb</div>
            </el-upload>

            <div class="body">
                <form action="upload" method="post" enctype="multipart/form-data">

                    <a class="icon" onclick="file.click()">
                        <img src="${Uri.getUrl('/static/img/add.png')}">
                    </a>

                    <input id="file" name="file" type="file">
                    <input class="submit" type="submit" value="提交">
                </form>
            </div>
        </div>
    </div>
</div>
<style>
    #app {
        margin: 0px auto;
        display: flex;
        justify-content: center;
        height: 100%;
    }

    * {
        margin: 0px;
        padding: 0px;
    }

    .main {
        padding: 5px;
    }

    .content {
        background-color: #ececd2;
        box-shadow: 0px 0px 5px 0px;
    }

    .content .head {
        height: 27px;
        line-height: 27px;
        padding-left: 10px;
        background-color: #67B2FF;
        color: white;
        font-weight: bolder;
    }

    .content .body {
        padding: 10px;
        text-align: center;
    }

    .content .body .icon {
        display: block;
        text-align: center;
    }

    .content .body .icon img {
        width: 50px;
        height: 50px;
    }

    .content .body .submit {
        display: inline-block;
        width: 100%;
        height: 30px;
        margin-top: 10px;
        background-color: #ffffff;
        border: 1px solid #D6D6D6;
        color: #6F7173;
        font-weight: bolder;
    }
</style>

<script type="text/javascript">
    $(function () {
        var app = new Vue({
            el: '#app',
            data: {
                transitionName: ''
            },
            methods: {
                fileList: [{
                    name: 'food.jpeg',
                    url: 'static/img/logo.png'
                }],
                handleUpload: function (req) {
                    ajax.fileUpload(req.file).then(function (response) {
                        if (response.errors.length > 0) {
                            req.onError();
                            nav.e(response.errors[0].message);
                        } else {
                            req.onSuccess();
                            nav.i("文件上传成功!");
                        }
                    })
                },
                handlePreview: function (file) {
                    console.log(file);
                },
                handleRemove: function (file, fileList) {
                    console.log(file, fileList);
                },
                beforeRemove: function (file, fileList) {
                    console.log(fileList);
                    return this.$confirm('确定移除 ${ file.name }？');
                },
                handleExceed: function (files, fileList) {
                    this.$message.warning('当前限制选择 3 个文件，本次选择了 ${files.length} 个文件，共选择了 ${files.length + fileList.length} 个文件用户头像上传');
                },
            },
            created: function () {
            },
            mounted: function () {
            },
        });
    });

</script>
